# List document movements Returns the list of movements related to the specified document. Endpoint: GET /api/v3/{invoices-type}/{id}/movements Version: 3.1.0 Security: apiKeyAuth ## Path parameters: - `invoices-type` (string, required) The type of the invoice document. receipts (payment receipts) is accepted here; receipts have no create, update, clone or /new (those operations use DocumentTypeInvoiceParam). Enum: "invoices", "invoice_receipts", "simplified_invoices", "credit_notes", "debit_notes", "receipts" - `id` (integer, required) The document ID. Example: 541674 ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Response 200 fields (application/json): - `movements` (array) List of movements related to the document. Example: [{"id":12345,"type":"Payment","total":123.45,"root_path":"partial_payments","date":"2025-01-31","doc_id":67890,"doc_root_path":"receipts","pdf_url":"https://demo.app.invoicexpress.com/movements/12345.pdf"}] - `movements.id` (integer) - `movements.type` (string) - `movements.total` (number) - `movements.root_path` (string) - `movements.date` (string) - `movements.doc_id` (integer) - `movements.doc_root_path` (string) - `movements.pdf_url` (string,null) ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 404 fields (application/json): - `errors` (array) Example: [{"error":"Resource not found"}] - `errors.error` (string) ## Response 500 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string)